Package org.eclipse.net4j.util.container.delegate

# Class ContainerList.DelegatingListIterator

java.lang.Object
AbstractDelegator<E>.DelegatingIterator
org.eclipse.net4j.util.container.delegate.ContainerList.DelegatingListIterator

All Implemented Interfaces:
  `Iterator<E>`, `ListIterator<E>`

Enclosing class:
  ContainerList<E>

public class ContainerList.DelegatingListIterator extends AbstractDelegator<E>.DelegatingIterator implements ListIterator<E>
A delegating `list iterator`.

Author:
  Eike Stepper

## Field Summary

### Fields inherited from class org.eclipse.net4j.util.container.delegate.AbstractDelegator.DelegatingIterator

`last`

## Constructor Summary

Constructors
Constructor
Description
`DelegatingListIterator(ListIterator<E> delegate)`

## Method Summary

Modifier and Type
Method
Description
`void`
`add(E o)`
`ListIterator<E>`
`getDelegate()`
`boolean`
`hasPrevious()`
`int`
`nextIndex()`
`E`
`previous()`
`int`
`previousIndex()`
`void`
`set(E o)`

### Methods inherited from class org.eclipse.net4j.util.container.delegate.AbstractDelegator.DelegatingIterator

`hasNext, next, remove`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

### Methods inherited from interface java.util.ListIterator

`hasNext, next, remove`

## Constructor Details

### DelegatingListIterator

public DelegatingListIterator(ListIterator<E> delegate)

## Method Details

### getDelegate

public ListIterator<E> getDelegate()

Overrides:
  `getDelegate` in class `AbstractDelegator<E>.DelegatingIterator`

### add

public void add(E o)

Specified by:
  `add` in interface `ListIterator<E>`
Category
  WRITE

### set

public void set(E o)

Specified by:
  `set` in interface `ListIterator<E>`
Category
  WRITE

### hasPrevious

public boolean hasPrevious()

Specified by:
  `hasPrevious` in interface `ListIterator<E>`
Category
  READ

### nextIndex

public int nextIndex()

Specified by:
  `nextIndex` in interface `ListIterator<E>`
Category
  READ

### previous

public E previous()

Specified by:
  `previous` in interface `ListIterator<E>`
Category
  READ

### previousIndex

public int previousIndex()

Specified by:
  `previousIndex` in interface `ListIterator<E>`
Category
  READ